<?php
/**
 * 会员缴费一览
 * $Id: user_pay_list.php,v 1.1 2020/01/03 11:18:46  Exp $
 * @author lixq
 * @package manager.public_html
 */
// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("11")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["left"] = "menu.inc";
	$layout_pages["right"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
	exit;
}

$page_num = ParamUtil::getRequestNumber("page_num", 1);
$page_row = MANAGER_DEFAULT_ROW_COUNT;
$paging_url_link = "./user_pay_list.php";


$user_pay_list = [];

//总件数
$user_pay_total = CompassHandler::getMemberUserCount();

$param = array();
$param["delete_flg"] = false;
$param["action_type"] = "MEMBER";
$user_pay_count = UserPayLog::getListCount($param);
// // 一览取得
if ($user_pay_count > 0) {
  $offset = ($page_num - 1) * $page_row;
  $user_pay_list = UserPayLog::getList($param, "id", "ASC", $offset, $page_row);
  $page_count = ceil($user_pay_count / $page_row);
  $show_page_num = MANAGER_PAGING_SHOW_PAGE_COUNT;
  $page_range = PagingHandler::getPageRange($page_num, $page_count, $show_page_num);
  $page_first = $page_range[0];
  $page_end = $page_range[1];
}

// ページ
$layout_pages = array();
$layout_pages["left"] = "menu.inc";
$layout_pages["right"] = "user_pay_list.inc";
$layout_pages["menu_clicked"] = "4-6";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
exit;